'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _aphrodite = require('aphrodite');

var _utils = require('./utils');

var _utils2 = _interopRequireDefault(_utils);

var _lodash = require('lodash.pickby');

var _lodash2 = _interopRequireDefault(_lodash);

var _lodash3 = require('lodash.isfunction');

var _lodash4 = _interopRequireDefault(_lodash3);

var _sizes = require('./default/sizes');

var _sizes2 = _interopRequireDefault(_sizes);

var _colors = require('./default/colors');

var _colors2 = _interopRequireDefault(_colors);

var _textSizes = require('./default/textSizes');

var _textSizes2 = _interopRequireDefault(_textSizes);

var _lineHeights = require('./default/lineHeights');

var _lineHeights2 = _interopRequireDefault(_lineHeights);

var _z = require('./default/z');

var _z2 = _interopRequireDefault(_z);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Sullivan = function Sullivan(_ref) {
  var _this = this;

  var _ref$sizes = _ref.sizes;
  var sizes = _ref$sizes === undefined ? _sizes2.default : _ref$sizes;
  var _ref$colors = _ref.colors;
  var colors = _ref$colors === undefined ? _colors2.default : _ref$colors;
  var _ref$textSizes = _ref.textSizes;
  var textSizes = _ref$textSizes === undefined ? _textSizes2.default : _ref$textSizes;
  var _ref$lineHeights = _ref.lineHeights;
  var lineHeights = _ref$lineHeights === undefined ? lineHeights : _ref$lineHeights;
  var _ref$z = _ref.z;
  var z = _ref$z === undefined ? _z2.default : _ref$z;

  _classCallCheck(this, Sullivan);

  this.sheet = _aphrodite.StyleSheet;
  this.class = _aphrodite.css;

  var D = {};

  var u = (0, _utils2.default)({
    sizes: sizes,
    colors: colors,
    textSizes: textSizes,
    lineHeights: lineHeights,
    z: z
  });

  this.utils = Object.keys(u).reduce(function (p, c) {
    // filter out dynamic styles
    // create class names
    D[c] = (0, _lodash2.default)(u[c], function (v) {
      return (0, _lodash4.default)(v);
    });
    p[c] = _this.sheet.create((0, _lodash2.default)(u[c], function (v) {
      return !(0, _lodash4.default)(v);
    }));
    return p;
  }, {});

  this.sizes = sizes;
  this.colors = colors;
  this.textSizes = textSizes;
  this.rawUtils = u;
  this.inline = D;
};

exports.default = Sullivan;
//# sourceMappingURL=index.js.map